> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/ar/projects/import-export/xlsform/wrqh-alkhyarat.md).

# ورقة الخيارات

ورقة الخيارات هي المكان الذي تُعرّف فيه الخيارات المعروضة في `select_one` و `select_multiple` الأسئلة من ورقة الاستبيان. كل مجموعة من الخيارات هي جزء من قائمة، تُعرف بواسطة `list_name` العمود.

## ☑️ الأعمدة المطلوبة

* list\_name – اسم قائمة الخيارات (يُستخدم في ورقة الاستبيان).
* name – الرمز الداخلي للاختيار (يُستخدم في البيانات المحفوظة والحسابات).
* label – النص المعروض للمستخدمين لكل خيار.

## 🔘️ الأعمدة الاختيارية

يمكنك تضمين الأعمدة الاختيارية التالية لتحسين سلوك الخيارات:

rating\
استخدم هذا العمود لإسناد درجة أو قيمة لكل خيار. مفيد عند احتساب الدرجات أو إجراء حسابات بناءً على الخيار المحدد.

type\
يُستخدم لتمييز اختيار ما كخيار خاص. على سبيل المثال، إذا تم تعيينه إلى `other`, سيسمح النموذج للمستخدم بإدخال إجابة مخصصة عند تحديد ذلك الخيار. إذا تُرك فارغًا، يتصرف الاختيار كخيار عادي.

hint\
يمكنك تقديم إرشادات إضافية لكل خيار. تظهر هذه التلميحات كنص مساعد بجانب الخيار. هذا مفيد عندما تحتاج الخيارات إلى توضيح.

يمكنك أيضًا استخدام نسخ متعددة اللغات مثل `hint::French (fr-FR)` أو `hint::Spanish (es)`.

#### مثال: خيارات مع rating و choice\_type و hint

| list\_name | الاسم | label | hint               | التقييم | النوع |
| ---------- | ----- | ----- | ------------------ | ------- | ----- |
| feedback   | good  | Good  | Very satisfied     | 3       |       |
| feedback   | okay  | Okay  | Somewhat satisfied | 2       |       |
| feedback   | bad   | Bad   | Not satisfied      | 1       |       |
| feedback   | other | Other | يرجى تحديد إجابتك  |         | other |

***

## 🔗 كيف يترابط مع ورقة الاستبيان

في ورقة الاستبيان الخاصة بك، ستشير إلى هذه القائمة بهذا الشكل:

| النوع                | الاسم          | label               |
| -------------------- | -------------- | ------------------- |
| select\_one feedback | user\_feedback | كيف تُقيِّم خدمتنا؟ |

سيقوم هذا الإعداد بـ:

* عرض أربعة خيارات للمستخدم.
* استخدام التلميحات لمساعدة المستخدمين على فهم كل خيار.
* السماح للمستخدم بإدخال قيمة مخصصة إذا اختار "Other".
* السماح لك باستخدام `التقييم` القيم في الحسابات أو التحليل.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ngsurvey.com/ar/projects/import-export/xlsform/wrqh-alkhyarat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
